' Test suite for Rapid-Q

CONST PI = 3.141592653589793285

CLS

READ N
FOR I = 1 TO N
  READ A$, B$
  PRINT A$; " = "; B$
  IF CSRLIN = 23 THEN
    LOCATE 24, 1
    PRINT "Press any key to continue...";
    A$ = INPUT$(1)
    PRINT
  END IF
NEXT I

SLEEP 2

DATA 38
DATA ABS(-123),    EXECUTE(ABS(-123))
DATA ASC("A"),     EXECUTE(ASC("A"))
DATA ATN(90),      EXECUTE(ATN(90))
DATA CINT(234.3),  EXECUTE(CINT(234.3))
DATA CLNG(234.5),  EXECUTE(CLNG(234.5))
DATA CLNG(234.51), EXECUTE(CLNG(234.51))
DATA COS(PI),      EXECUTE(COS(PI))
DATA SIN(PI/2),    EXECUTE(SIN(PI/2))
DATA TAN(PI),      EXECUTE(TAN(PI))
DATA CHR$(68),     EXECUTE(CHR$(68))
DATA DATE$,        EXECUTE(DATE$)
DATA TIME$,        EXECUTE(TIME$)
DATA EXECUTE("DELETE$("+CHR$(34)+"Hello World"+CHR$(34)+", 5, 3)"), EXECUTE(DELETE$("Hello World", 5, 3))
DATA EXECUTE("INSERT$("+CHR$(34)+"HI"+CHR$(34)+", "+CHR$(34)+"Hello World"+CHR$(34)+", 5)"), EXECUTE(INSERT$("HI", "Hello World", 5))
DATA EXECUTE("REPLACE$("+CHR$(34)+"Hello World"+CHR$(34)+", "+CHR$(34)+"HI"+CHR$(34)+", 5)"), EXECUTE(REPLACE$("Hello World", "HI", 5))
DATA DIREXISTS("C:\WINDOWS"),    EXECUTE(DIREXISTS("C:\WINDOWS"))
DATA EXP(10),      EXECUTE(EXP(10))
DATA FILEEXISTS("RAPIDQ.EXE"),    EXECUTE(FILEEXISTS("RAPIDQ.EXE"))
DATA FIX(123.123), EXECUTE(FIX(123.123))
DATA FRAC(123.123),EXECUTE(FRAC(123.123))
DATA HEX$(123),    EXECUTE(HEX$(123))
DATA BIN$(123),    EXECUTE(BIN$(123))
DATA EXECUTE("CONVBASE$("+CHR$(34)+"ABC"+CHR$(34)+", 16, 2)"), EXECUTE(CONVBASE$("ABC", 16, 2))
DATA EXECUTE("INSTR("+CHR$(34)+"heyabc123"+CHR$(34)+", "+CHR$(34)+"abc"+CHR$(34)+")"),    EXECUTE(INSTR("heyabc123", "abc"))
DATA INT(978.3),   EXECUTE(INT(978.3))
DATA LCASE$("HELLo"),    EXECUTE(LCASE$("HELLo"))
DATA UCASE$("Hello"),    EXECUTE(UCASE$("Hello"))
DATA EXECUTE("LEFT$("+CHR$(34)+"Hello World"+CHR$(34)+", 5)"),    EXECUTE(LEFT$("Hello World", 5))
DATA EXECUTE("RIGHT$("+CHR$(34)+"Hello World"+CHR$(34)+", 5)"),    EXECUTE(RIGHT$("Hello World", 5))
DATA LEN("Hello"), EXECUTE(LEN("Hello"))
DATA LOG(10),      EXECUTE(LOG(10))
DATA LTRIM$("   Hello"),    EXECUTE(LTRIM$("   Hello"))
DATA RTRIM$("Hello   "),    EXECUTE(RTRIM$("Hello   "))
DATA EXECUTE("MID$("+CHR$(34)+"Hello World"+CHR$(34)+", 5, 3)"),    EXECUTE(MID$("Hello World", 5, 3))
DATA SQR(9),       EXECUTE(SQR(9))
DATA STR$(9),      EXECUTE(STR$(9))
DATA EXECUTE("STRING$(30, "+CHR$(34)+"A"+CHR$(34)+")"),    EXECUTE(STRING$(30, "A"))
DATA VAL("99"),    EXECUTE(VAL("99"))
